package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.query.QuerySystemManageReq;
import com.junmp.jyzb.api.bean.req.SystemManageReq;
import com.junmp.jyzb.entity.SystemManage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
* @author Administrator
* @description 针对表【base_system(制度管理表)】的数据库操作Service
* @createDate 2024-12-04 09:05:24
*/
public interface SystemManageService extends IService<SystemManage> {

    boolean add(SystemManageReq req);

    boolean updateInfo(SystemManageReq req);

    boolean del(SystemManageReq req);

    SystemManage detail(QuerySystemManageReq req);

    List<SystemManage> findList(QuerySystemManageReq req);

    PageResult<SystemManage> findPage(QuerySystemManageReq req);
}
